# Double Auth Engine
[Authlogic](https://github.com/binarylogic/authlogic) and [Declarative Authorization](https://github.com/stffn/declarative_authorization) together in one fantastic Rails engine. Bladow!

## Setup
1. Add double_auth_engine to Gemfile

        gem "double_auth_engine"

2. Rebundle

        bundle install

3. Run the DoubleAuthEngine install generator

        rails g double_auth_engine:install

4. Migrate your DB and seed it with default seeds (:user and :admin)

        rake db:migrate:seed

6. Update "default@dummy.com" within setup_mail.rb to the default address for your application. This address is used for the engine's password reset mailer.

        class ActionMailer::Base
          def from_with_default(input=nil)
            return from_without_default(input) || "default@dummy.com" if input.nil?
            from_without_default(input)
          end
          alias_method_chain :from, :default
        end

5. Start app

        rails s
        
## Usage

Anything within a Rails engine can be overridden by creating the same file within the parent application. For example if you'd like to create your own login form, simply create a `new.html.erb` within the `app/views/user_sessions` folder in your application. If you need to add additional functionality to one of the models or controllers provided by the engine, create the corresponding file in the appropriate place with your application and then include the associated module from the engine.

    class User < ActiveRecord::Base
      include DoubleAuthEngine::UserMixin
    end

## Readme Driven Development

A <del>strike</del> means its done!

* <del>Add Authlogic</del>
* <del>Add Password Reset</del>
* <del>Change Password</del>
* <del>Update generator with ActionMailer monkey patch</del>
* <del>Update install generator to add include to ApplicationController</del>
* <del>Update README for mailer settings</del>
* <del>Authlogic specs</del>
* <del>Add Declarative Authorization</del>
* <del>Declarative Authorization specs</del>
* <del>Friendly ID</del>
* Mailer specs
* Style views

## Versioning
This project uses [Semantic Versioning](http://semver.org/)

## Contributors
All contributions are welcome. Fork repo, make changes, add specs, ensure all specs pass, send a pull request.

* [Kyle Bolton](https://github.com/kb) - Creator
* [Jeremy Durham](https://github.com/jeremydurham)

Copyright (c) 2011 Kyle Bolton, released under the MIT license
