authorization do
  role :guest do
    has_permission_on :users, :to => [:add, :read]
    has_permission_on :users, :to => [:modify, :destroy, :change_password, :update_password] do
      if_attribute :id => is { user.id }
    end
  end

  role :admin do
    includes :guest
    has_permission_on :users, :to => [:modify, :destroy]
  end
end

privileges do
  privilege :add, :includes => [:new, :create]
  privilege :modify, :includes => [:edit, :update]
  privilege :read, :includes => [:index, :show]
  privilege :write, :includes => [:add, :modify]
end
