# Configure Rails Environment
ENV["RAILS_ENV"] = "test"

# Declarative Authorization
AUTH_DSL_FILES = File.expand_path("../dummy/config/authorization_rules.rb", __FILE__)

require File.expand_path("../dummy/config/environment.rb", __FILE__)
require "rails/test_help"
require "rspec/rails"
require 'ffaker'

# Authlogic
require 'authlogic/test_case'
include Authlogic::TestCase


ActionMailer::Base.delivery_method = :test
ActionMailer::Base.perform_deliveries         = true
ActionMailer::Base.default_url_options[:host] = "test.com"

Rails.backtrace_cleaner.remove_silencers!

# Configure capybara for integration testing
require "capybara/rails"
Capybara.default_driver   = :rack_test
Capybara.default_selector = :css

# Run any available migration
ActiveRecord::Migrator.migrate File.expand_path("../dummy/db/migrate/", __FILE__)

# Load support files
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each { |f| require f }

RSpec.configure do |config|
  # Remove this line if you don't want RSpec's should and should_not
  # methods or matchers
  require 'rspec/expectations'
  config.include RSpec::Matchers

  # == Mock Framework
  config.mock_with :rspec
end
