def should_be_allowed_to(privilege, object_or_context, object=nil)
  options                                                       = {}
  options[object_or_context.is_a?(Symbol) ? :context : :object] = object_or_context
  options[:object] = object unless object.blank?
  lambda {
    Authorization::Engine.instance.permit! privilege, options
  }.should_not raise_error
end

def should_not_be_allowed_to(privilege, object_or_context, object=nil)
  options                                                       = {}
  options[object_or_context.is_a?(Symbol) ? :context : :object] = object_or_context
  options[:object] = object unless object.blank?
  lambda { Authorization::Engine.instance.permit! privilege, options }.should raise_error() do |e|
    Authorization::NotAuthorized.ancestors.include?(e)
  end
end
